Subject: Re: git push (mis ?)behavior

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Oct 2007 22:39:13 -0700

Miles Bader <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>> I think it is sensible to have an option to make it push only the
>> current branch.  I am not sure if it is sensible to make that the
>> default.
>
> I really like the current default, it matches my mental model well:  I
> generally use "push" to mean "synchronize the remote repository with my
> current one"; if multiple branches have changed, I want those changes
> propagated too.
>
> I think changing it would be a bad idea, it just seems a pointlessly
> incompatible change.  The reasons I've seen offered on this thread for
> changing the default seem pretty weak, e.g., "it's more conservative"
> (but more annoying), and "it's more like SVK" (who cares?).

Usually we hear people complain louder on the list.

People who are happy with the existing behaviour tend to be
quiet, and we should be really careful not to break things for
silent majority.

I try to stay fairly conservative, often more conservative than
what I would like to be myself, for this exact reason.